!function($, window, document, _undefined) 
{
	/* /no minify */
	XenForo.BadgeSlider = function($container)
	{
		function createSlider($slideContainer)
		{
			if ($slideContainer.attr('id'))
			{
				return;
			}

			id = XenForo.uniqueId($slideContainer);
			// console.log('Slick %s', id);            
			$('#' + id).slick().slick('slickNext'); 
		}

		$container.each(function() {
			createSlider($(this));
		});
	}

	XenForo.ExploreBadgeSlider = function($container)
	{
		$container.slick({
			centerMode: true,
			centerPadding: '10px',
			slidesToShow: 3,
			// fade: true,
			// cssEase: 'linear',
			responsive: [
				{
					breakpoint: 976,
					settings: {
						// arrows: false,
						centerMode: false,
						centerPadding: '10px',
						slidesToShow: 2
					}
				},
				{
					breakpoint: 610,
						settings: {
						// arrows: false,
						centerMode: true,
						centerPadding: '10px',
						slidesToShow: 5
					}
				}
			]
		});
	}

	XenForo.register('.trophySlider', 'XenForo.ExploreBadgeSlider');
	XenForo.register('.featuredBadgeSlider', 'XenForo.BadgeSlider');
}
(jQuery, this, document);