!function($, window, document, _undefined) 
{
	/* /no minify */
	XenForo._BadgeGraphDataCache = {};
	XenForo.BadgeGraphData = function($link)
	{
		$(document).on('click', '.badgeGraphData .close', function(e)
		{
			e.preventDefault();

			$(this).closest('.badgeGraphData').css({
				opacity: 0,
				zIndex: -1
			});
		})

		$link.on('click', function(e) 
		{
			e.preventDefault();

			var $this = $(this),
				$parent = $this.closest('.badgeDetails');

			if (XenForo._BadgeGraphDataCache[$link.attr('href')])
			{
				var $graph = $(document).find('#' + XenForo._BadgeGraphDataCache[$link.attr('href')]);

				$graph.closest('.badgeGraphData').css({
					opacity: 1,
					zIndex: 9999
				})
			}
			else
			{
				XenForo.ajax($link.attr('href'),
					{},
					function(ajaxData)
					{	
						if (XenForo.hasResponseError(ajaxData))
						{
							return false;
						}

						if (XenForo.hasTemplateHtml(ajaxData))
						{
							var $template = $(ajaxData.templateHtml),
								$chart = $template.find('.badgeChart');

							XenForo._BadgeGraphDataCache[$link.attr('href')] = $chart.attr('id');

							$template.xfInsert('appendTo', $parent, 'xfFadeIn', 600);
						}				
					}
				);
			}
		});
	}

	XenForo.register('.awardedGraphData', 'XenForo.BadgeGraphData');
}
(jQuery, this, document);