!function($, window, document, _undefined) 
{
    XenForo.LevelCalculator = function($input) { this.__construct($input); };
    XenForo.LevelCalculator.prototype =
    {
        __construct: function($input)
        {
            this.$input = $input;
            this.xhr = null;
            this.url = this.$input.data('url') || false;
            this.$input.on('change input', $.context(this, 'fetch'));
        },

        fetch: function(e)
        {
            var target = this.$input.data('target') || false;

            if (!this.url || this.$input.val() == '')
            {
                if (target)
                {
                    $(target).html('');
                }
                return;
            }

            if (this.xhr)
            {
                this.xhr.abort();
            }

            this.xhr = XenForo.ajax(
                this.url,
                { level: this.$input.val() },
                function(ajaxData)
                {
                    this.xhr = false;
                    
                    if (ajaxData.points && target)
                    {
                        var points = '<label class="formValidationInlineError inlineError" style="display: inline-block;">' + ajaxData.points + '</label>'
                        $(target).html('').html(points);
                    }
                },
                { global: false }
            );
        }
    }

    XenForo.register('#LevelInput', 'XenForo.LevelCalculator');
}
(jQuery, this, document);