<?php

class MasterBadge_DataWriter_Option extends XFCP_MasterBadge_DataWriter_Option
{
    protected function _postSaveAfterTransaction()
    {
        parent::_postSaveAfterTransaction();

        if ($this->get('option_id') == 'MasterBadge_widget')
        {
            $this->_setOption('MasterBadge_widget');
        }

        if ($this->get('option_id') == 'MasterBadge_memberWidget')
        {
            $this->_setOption('MasterBadge_memberWidget');
        }

        // if ($this->get('option_id') == 'MasterBadge_pointsPerLevel' || $this->get('option_id') == 'MasterBadge_levelUp')
        // {
        //     MasterBadge_Helper_Level::rebuildLevelCache();
        // }
    }

    protected function _setOption($optionId)
    {
        XenForo_Application::getOptions()->set($optionId, unserialize($this->get('option_value')));
        $this->_reparseTemplate();
    }

    protected function _reparseTemplate()
    {
        $templateModel = $this->getModelFromCache('XenForo_Model_Template');
        $templateModificationModel = $this->getModelFromCache('XenForo_Model_TemplateModification');

        $templates = $templateModel->getTemplatesByTitles(array('forum_list'));
        foreach ($templates AS $template)
        {
            $content = $template['template'] ? $template['template'] : '';
            $templateModificationModel->applyModificationsToTemplate('forum_list', $template['template'], $status);

            $templateModel->reparseTemplate($template, true);
        }
    }
}