<?php

class MasterBadge_Deferred_Alert extends XenForo_Deferred_Abstract
{
    public function execute(array $deferred, array $data, $targetRunTime, &$status)
    {
        $users = XenForo_Model::create('XenForo_Model_User')->getUsersByIds(array_keys($data));

        if (!$users)
        {
            return true;
        }

        foreach ($users as $userId => $user) 
        {
            $level = MasterBadge_Core::getUserLevel($user);
            if ($level > $data[$userId]['level'])
            {
                XenForo_Model_Alert::alert(
                    $user['user_id'],
                    $user['user_id'], $user['username'],
                    'user', $user['user_id'],
                    'level',
                    array('level' => $level)
                );
            }
        }

        return false;
    }
}