<?php

class MasterBadge_Route
{
    public static $subRoutes = array(
        'badges' => array(
            'intId' => 'badge_id',
            'title' => 'title',
            'controller' => 'MasterBadge_ControllerPublic_Badge'
        ),
        'trophies' => array(
            'intId' => 'trophy_id',
            'title' => 'title',
            'controller' => 'MasterBadge_ControllerPublic_Trophy'
        ),
    );

    public static function getSubRoute($route)
    {
        $parts = explode('/', $route);

        if (isset($parts[1]))
        {
            if (isset(static::$subRoutes[$parts[0]]))
            {
                return static::$subRoutes[$parts[0]];
            }
        }
        else
        {
            if (isset(static::$subRoutes[$route]))
            {
                return static::$subRoutes[$route];
            }
        }

        return false;
    }
}