<?php

class MasterBadge_Route_Prefix_Badges implements XenForo_Route_Interface
{
    public function match($routePath, Zend_Controller_Request_Http $request, XenForo_Router $router)
    {
        $action = $router->resolveActionWithIntegerParam($routePath, $request, 'badge_id');
        return $router->getRouteMatch('MasterBadge_ControllerPublic_Badge', $action, 'MasterBadge');
    }

    public function buildLink($originalPrefix, $outputPrefix, $action, $extension, $data, array &$extraParams)
    {
        return XenForo_Link::buildBasicLinkWithIntegerParam($outputPrefix, $action, $extension, $data, 'badge_id', 'title');
    }
}