!function($, window, document, _undefined) 
{
    /** no minify */
    XenForo.FeaturedBadgeAction = function($link)
    {
        function countBadges(target, number) 
        {
            number = parseInt(number);
            $(target).html('(' + number + ')');
        }

        var url = $link.attr('href');

        $link.on('click', function(e) 
        {
            e.preventDefault();

            var $list = $(this).closest('.FeaturedBadgeList')
                $featuredList = $('#FeaturedList'),
                $availableList = $('#AvailableList'),
                threshold = $featuredList.data('threshold') || 0;            

            switch ($list.attr('id'))
            {
                case 'AvailableList':
                    $target = $featuredList;

                    if ($featuredList.find('.listItem').length >= threshold)
                    {
                        return;
                    }                    
                    break;

                case 'FeaturedList':
                    $target = $availableList;
                    break;

                default:
                    $target = false;
                    break;
            }

            if ($target)
            {
                $link.parent().xfInsert('appendTo', $target, 'xfFadeIn', 600);
            }
            else
            {
                $link.parent().xfFadeOut(XenForo.speed.fast);
            }                

            countBadges('#AvailableListCount', $('#AvailableList').find('.listItem').length);
            countBadges('#FeaturedListCount', $('#FeaturedList').find('.listItem').length);
            $featuredList.sortable('reload');

            // XenForo.ajax(url, {}, function(ajaxData) 
            // {
            //     if ($list.length)
            //     {
            //         switch ($list.attr('id'))
            //         {
            //             case 'AvailableList':
            //                 target = '#FeaturedList';
            //                 break;

            //             case 'FeaturedList':
            //                 target = '#AvailableList';
            //                 break;

            //             default:
            //                 target = false;
            //                 break;
            //         }

            //         if (target)
            //         {
            //             $link.parent().xfInsert('appendTo', $(target), 'xfFadeIn', 600);
            //         }
            //         else
            //         {
            //             $link.parent().xfFadeOut(XenForo.speed.fast);
            //         }                

            //         countBadges('#AvailableListCount', $('#AvailableList').find('.listItem').length);
            //         countBadges('#FeaturedListCount', $('#FeaturedList').find('.listItem').length);
            //         $('#FeaturedList').sortable('reload');
            //     }
            // });
        })
    }

    XenForo.FeaturedBadgeOrder = function($list)
    {
        var order = [];

        $list.sortable(
        {
            items: 'li.listItem',
            forcePlaceholderSize: true
        }).bind('sortupdate', function(e)
        {            
            $list.find('[data-item-id]').each(function(i)
            {
                var $this = $(this),
                    itemId = $this.data('item-id');

                    order[i] = itemId;
            });
        });

        var $form = $list.closest('form');

        $form.on('submit', function(e) 
        {
            e.preventDefault();

            $list.trigger('sortupdate')

            var $this = $(this),
                url = $this.attr('action');

            XenForo.ajax(url,
                { order: order },
                function(ajaxData)
                {
                    window.location.reload();
                }
            );
        })
    }

    XenForo.register('.trophyAction', 'XenForo.FeaturedBadgeAction');
    XenForo.register('#FeaturedList', 'XenForo.FeaturedBadgeOrder');
}
(jQuery, this, document);