!function($, window, document, _undefined)
{
	XenForo.TrophyImportForm = function($form)
	{
		$form.find('input.Hider').change(function(e)
		{
			var $target = $($(this).data('target'));
			
			if (this.checked)
			{
				$target.xfFadeDown(XenForo.speed.fast);
			}
			else
			{
				$target.xfHide();
			}
		});
		
		$form.bind(
		{
			AutoValidationBeforeSubmit: function(e)
			{				
				var inputQueryString = $form.serialize(),
					$inputs = $form.find('input:not(input[type=hidden]), select, textarea'),
					$dataInput = $('<input type="hidden" name="_xfTrophyImportData" />');

				$inputs.each(function()
				{
					var $this = $(this);
					$this.data('attr-name', $this.attr('name'));
					$this.removeAttr('name');
				});

				$dataInput.val(inputQueryString).appendTo($form);

				setTimeout(function()
				{
					$inputs.each(function()
					{
						var $this = $(this);
						$this.attr('name', $this.data('attr-name'));
					});

					$dataInput.remove();
				}, 100);
			},
			
			AutoValidationError: function(e)
			{
				var $target = $(e.target);
				
				if ($target.is(':hidden'))
				{
					$target.closest('.advanced').show();
				}
			}
		});
	}

	// *********************************************************************
	
	XenForo.register('#TrophyImportForm', 'XenForo.TrophyImportForm');
}
(jQuery, this, document);
