<?php

class MasterBadge_AlertHandler_User extends XFCP_MasterBadge_AlertHandler_User
{
    protected function _prepareTrophy(array $item)
    {
        $item = parent::_prepareTrophy($item);
        
        if (isset($item['extra']['trophy_id']))
        {
            $trophy = XenForo_Model::create('XenForo_Model_Trophy')->getTrophyById($item['extra']['trophy_id']);
            $item['trophyIcon'] = MasterBadge_Helper_Trophy::getTrophyIcon($trophy, 's');
        }

        return $item;
    }
}