<?php

class MasterBadge_DataWriter_User extends XFCP_MasterBadge_DataWriter_User
{
    protected function _getFields()
    {
        $fields = parent::_getFields();

        $fields['xf_user']['favorite_badge'] = array(
            'type' => self::TYPE_SERIALIZED, 
            'default' => ''
        );

        $fields['xf_user']['awarded_trophy'] = array(
            'type' => self::TYPE_SERIALIZED, 
            'default' => ''
        );

        $fields['xf_user']['auto_feature_badge'] = array(
            'type' => self::TYPE_BOOLEAN,
            'default' => XenForo_Application::getOptions()->MasterBadge_autoFeatureBadges
        );

        $fields['xf_user']['feature_badge_slide_options'] = array(
            'type' => self::TYPE_SERIALIZED, 
            'default' => ''
        );

        return $fields;
    }

    protected function _preSave() 
    {       
        if (isset($GLOBALS['MasterBadge_ControllerPublic_Account'])) 
        {
            $GLOBALS['MasterBadge_ControllerPublic_Account']->MasterBadge_actionPreferencesSave($this);
        }

        return parent::_preSave();
    }
}