<?php

class MasterBadge_Helper_Trophy
{
    public static function getTrophyIcon($trophy, $size = 'm')
    {
        if (is_array($trophy))
        {
            if (!empty($trophy['icon_date']))
            {
                $group = floor($trophy['trophy_id'] / 1000);
                return XenForo_Application::$externalDataUrl . "/trophies/$group/$trophy[trophy_id]_$trophy[icon_date]_$size.png";
            }
        }

        if (!$imagePath = XenForo_Template_Helper_Core::styleProperty('imagePath'))
        {
            $imagePath = 'styles/default';
        }

        return "{$imagePath}/MasterBadge/trophy_icon_$size.png";
    }
}